### Method

# Devhelp WebView set_search_text

#### Declaration [src]

    void
    dh_web_view_set_search_text (
      DhWebView* view,
      const gchar* search_text
    )

#### Description [src]

A more convenient API (for Devhelp needs) than `WebKitFindController`. If `search_text` is not empty, it calls `webkit_find_controller_search()` if not already done. If `search_text` is empty or `NULL`, it calls webkit_find_controller_search_finish().

Available since: | 3.30

#### Parameters

`search_text` | `const gchar*`
| The search string, or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.